function [w,X]=DTFTsample(x,Fs)
% DTFTsample takes the DTFT of a sampled signal
% [f,X]=Lab4_dtft(x,Fs) returns the DTFT of sampled signal x
%     sampled at Fs Hz, and the frequencies f of each DTFT sample
% If no output arguments are requested, the function plots the 
%    results.

% create the discrete frequency vector that goes from 0 to pi
L=length(x);
omega = linspace(0,pi,L);

% create a DTFT result vector
X1 = zeros(1,L);
for k=1:L        % for every freq in the w vector
	for i = 1:L  % make i loop through every value in x
		X1(k) = X1(k) + x(i)*exp(-j*omega(k)*(i-1));
	end
end

% rescale frequency vector from 0-pi to 0-Fs/2
omega = omega*Fs/(2*pi);

% if no output requested, plot it
if nargout == 0
    plot(omega, abs(X1))
    xlabel('frequency')
    ylabel('amplitude')
    title('magnitude of the DTFT of x[n]')
    figure(gcf)
else
    w = omega;
    X = X1;
end

